org.apache.log

## Class ContextMap

- java.lang.Object
- - org.apache.log.ContextMap

All Implemented Interfaces:
  Serializable

Deprecated.
Will be dropped in 3.3

    @Deprecated
    public final class ContextMap
    extends Object
    implements Serializable

The ContextMap contains non-hierarchical context information relevant to a particular LogEvent. It may include information such as;

- user ->fred
- hostname ->helm.realityforge.org
- ipaddress ->1.2.3.4
- interface ->127.0.0.1
- caller ->com.biz.MyCaller.method(MyCaller.java:18)
- source ->1.6.3.2:33

The context is bound to a thread (and inherited by sub-threads) but it can also be added to by LogTargets.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ContextMap()` Deprecated. Default constructor.
`ContextMap(ContextMap parent)` Deprecated. Constructor that sets parent contextMap.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`static void` `bind(ContextMap context)` Deprecated. Bind a particular ContextMap to current thread.
`void` `clear()` Deprecated. Empty the context map.
`Object` `get(String key)` Deprecated. Get an entry from the context.
`Object` `get(String key, Object defaultObject)` Deprecated. Get an entry from the context.
`static ContextMap` `getCurrentContext()` Deprecated. Get the Current ContextMap.
`static ContextMap` `getCurrentContext(boolean autocreate)` Deprecated. Get the Current ContextMap.
`int` `getSize()` Deprecated. Get the number of contexts in map.
`boolean` `isReadOnly()` Deprecated. Determine if context is read-only.
`void` `makeReadOnly()` Deprecated. Make the context read-only.
`void` `set(String key, Object value)` Deprecated. Set a value in context

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ContextMap

    public ContextMap()

Deprecated.
Default constructor.

#### ContextMap

    public ContextMap(ContextMap parent)

Deprecated.
Constructor that sets parent contextMap.

Parameters:
  `parent` - the parent ContextMap

### Method Detail

#### getCurrentContext

    public static final ContextMap getCurrentContext()

Deprecated.
Get the Current ContextMap. This method returns a ContextMap associated with current thread. If the thread doesn't have a ContextMap associated with it then a new ContextMap is created.

Returns:
  the current ContextMap

#### getCurrentContext

    public static final ContextMap getCurrentContext(boolean autocreate)

Deprecated.
Get the Current ContextMap. This method returns a ContextMap associated with current thread. If the thread doesn't have a ContextMap associated with it and autocreate is true then a new ContextMap is created.

Parameters:
  `autocreate` - true if a ContextMap is to be created if it doesn't exist
Returns:
  the current ContextMap

#### bind

    public static final void bind(ContextMap context)

Deprecated.
Bind a particular ContextMap to current thread.

Parameters:
  `context` - the context map (may be null)

#### makeReadOnly

    public void makeReadOnly()

Deprecated.
Make the context read-only. This makes it safe to allow untrusted code reference to ContextMap.

#### isReadOnly

    public boolean isReadOnly()

Deprecated.
Determine if context is read-only.

Returns:
  true if Context is read only, false otherwise

#### clear

    public void clear()

Deprecated.
Empty the context map.

#### get

    public Object get(String key,
                      Object defaultObject)

Deprecated.
Get an entry from the context.

Parameters:
  `key` - the key to map
  `defaultObject` - a default object to return if key does not exist
Returns:
  the object in context

#### get

    public Object get(String key)

Deprecated.
Get an entry from the context.

Parameters:
  `key` - the key to map
Returns:
  the object in context or null if none with specified key

#### set

    public void set(String key,
                    Object value)

Deprecated.
Set a value in context

Parameters:
  `key` - the key
  `value` - the value (may be null)

#### getSize

    public int getSize()

Deprecated.
Get the number of contexts in map.

Returns:
  the number of contexts in map